Index: doc/Makefile.am
===================================================================
--- doc/Makefile.am	(revision b073447b9d4e5b415e4c84b4b19d41a5f98fbf12)
+++ doc/Makefile.am	(revision c0ec39c40e2497be3b646be1f493402b7e9feb40)
@@ -2,5 +2,6 @@
 #man_MANS = fluidsynth.1 
 #EXTRA_DIST = $(man_MANS) devel.cfg fluidsynth.1 
-EXTRA_DIST = devel.cfg examples.cfg user.cfg aubio.css
+EXTRA_DIST = devel.cfg examples.cfg user.cfg aubio.css \
+	aubionotes.sgml aubioonset.sgml
 
 #docbook_docs = aubio-devdoc.xml
Index: doc/Makefile.in
===================================================================
--- doc/Makefile.in	(revision b073447b9d4e5b415e4c84b4b19d41a5f98fbf12)
+++ doc/Makefile.in	(revision c0ec39c40e2497be3b646be1f493402b7e9feb40)
@@ -156,5 +156,7 @@
 #man_MANS = fluidsynth.1 
 #EXTRA_DIST = $(man_MANS) devel.cfg fluidsynth.1 
-EXTRA_DIST = devel.cfg examples.cfg user.cfg aubio.css
+EXTRA_DIST = devel.cfg examples.cfg user.cfg aubio.css \
+	aubionotes.sgml aubioonset.sgml
+
 subdir = doc
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
Index: doc/aubionotes.sgml
===================================================================
--- doc/aubionotes.sgml	(revision b073447b9d4e5b415e4c84b4b19d41a5f98fbf12)
+++ doc/aubionotes.sgml	(revision c0ec39c40e2497be3b646be1f493402b7e9feb40)
@@ -70,12 +70,14 @@
     <para>This manual page documents briefly the <command>&dhpackage;</command> command.</para>
 
-<para>The library <emphasis remap='B'>aubio</emphasis> provides a small set of functions to extract events and
-objects from audio, from live streams or still files. Onsets are used to label
-the beginning of notes, pitches to label their height.</para>
-
-<para><command>aubionotes</command> is still in an experimental state. Its aim is to segment notes
-with onsets, and label them with their detected pitch. When started without an
-input file argument (<option>-i</option>), aubionotes creates a jack input and a midi
-output. When an input file is given, it outputs the results on the console.</para>
+<para>The library <emphasis>aubio</emphasis> provides a small set of functions
+to extract events and objects from audio, from live streams or still files.
+Onsets are used to label the beginning of notes, pitches to label their
+height.</para>
+
+<para><command>aubionotes</command> is still in an experimental state. Its aim
+is to segment notes with onsets, and label them with their detected pitch. When
+started without an input file argument (<option>-i</option>), aubionotes
+creates a jack input and a midi output. When an input file is given, it outputs
+the results on the console.</para>
 
   </refsect1>
@@ -83,7 +85,7 @@
     <title>OPTIONS</title>
 
-<para>This program follows the usual GNU command line syntax, with long
-options starting with two dashes (`-').
-A summary of options is included below.</para>
+<para>This program follows the usual GNU command line syntax, with long options
+starting with two dashes (`-').  A summary of options is included below.</para>
+
 <variablelist>
   <varlistentry>
@@ -99,6 +101,6 @@
   <option>--output fileout</option></term>
   <listitem>
-<para>Save results in this file. The file will be created on the model of the input
-file. Results are marked by a very short wood-block sample.</para>
+<para>Save results in this file. The file will be created on the model of the
+input file. Results are marked by a very short wood-block sample.</para>
   </listitem>
   </varlistentry>
@@ -110,4 +112,17 @@
 <literal>0.001</literal> and <literal>0.900</literal>. Default is <literal>0.1</literal>. The <emphasis>lower</emphasis> the <emphasis>more
 sensible</emphasis>.  Try <literal>0.3</literal> in case of over-detections.</para>
+  </listitem>
+  </varlistentry>
+  <varlistentry>
+  <term><option>-O</option>
+  <option>--onset value</option></term>
+  <listitem>
+
+  <para>The onset detection function to run. Can be one of
+  <emphasis>complexdomain</emphasis>, <emphasis>hfc</emphasis>,
+  <emphasis>phase</emphasis>, <emphasis>specdiff</emphasis>,
+  <emphasis>energy</emphasis>. By default (<emphasis>fixme</emphasis>), both
+  complex domain and HFC are used in parallel.</para>
+
   </listitem>
   </varlistentry>
Index: doc/aubioonset.sgml
===================================================================
--- doc/aubioonset.sgml	(revision b073447b9d4e5b415e4c84b4b19d41a5f98fbf12)
+++ doc/aubioonset.sgml	(revision c0ec39c40e2497be3b646be1f493402b7e9feb40)
@@ -113,4 +113,17 @@
   </varlistentry>
   <varlistentry>
+  <term><option>-O</option>
+  <option>--onset value</option></term>
+  <listitem>
+
+  <para>The onset detection function to run. Can be one of
+  <emphasis>complexdomain</emphasis>, <emphasis>hfc</emphasis>,
+  <emphasis>phase</emphasis>, <emphasis>specdiff</emphasis>,
+  <emphasis>energy</emphasis>. By default (<emphasis>fixme</emphasis>), both
+  complex domain and HFC are used in parallel.</para>
+
+  </listitem>
+  </varlistentry>
+  <varlistentry>
   <term><option>-j</option>
   <option>--jack</option></term>
